Subject: bug#16222: Installing ELPA packages complains about :keywords in define-package

From: Ted Zlatanov <[email-masked]>
Date: Mon, 23 Dec 2013 10:02:42 -0500

On Mon, 23 Dec 2013 02:42:57 +0100 Juanma Barranquero <[email-masked]> wrote: 

JB> On Tue, Dec 17, 2013 at 10:06 PM, Stephen Berman <[email-masked]> wrote:
>> Leaving directory `/home/steve/.emacs.d/elpa/nlinum-1.1'
>> Compiling file /home/steve/.emacs.d/elpa/nlinum-1.1/nlinum-pkg.el at Tue Dec
>> 17 13:33:54 2013
>> Entering directory `/home/steve/.emacs.d/elpa/nlinum-1.1/'
>> nlinum-pkg.el:1:1:Warning: `"convenience"' is a malformed function
>> Compiling file /home/steve/.emacs.d/elpa/nlinum-1.1/nlinum.el at Tue Dec 17
>> 13:33:54 2013
>> Compiling no file at Tue Dec 17 13:36:31 2013

JB> The problem is not nlinum-specific. Installing anything from ELPA
JB> complains about the :keywords in the define-package:

JB> In toplevel form:
JB> debbugs-pkg.el:1:1:Warning: `"comm"' is a malformed function

JB> In toplevel form:
JB> rainbow-mode-pkg.el:1:1:Warning: `"faces"' is a malformed function

JB> etc.

Can you provide a full bug description, Emacs version, etc.?  I can't
find it here (I know there's an emacs-devel discussion but the bug
report is incomplete as is).

Thanks
Ted